* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: sans-serif;
}

body {
  max-width: 100vh;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: url(./images/04-56-18-501_512.webp);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  color: #fff;
  margin: auto;
}

.container {
  border: 0.5px solid #fff;
  border-radius: 10px;
  padding: 30px 38px;
  display: flex;
  flex-direction: column;
  background-color: rgba(0, 0, 0, 0.6);
  box-shadow: 3px 3px 8px, 8px 8px 20px #b498d5;
  transform: scale(1);
  transition: 0.5s;
}

.container:hover {
  transform: scale(1.1);
}

.container h1 {
  font-size: 1.4rem;
  margin-block: 8px;
}

.passBox {
  background-color: #fff;
  border: none;
  outline: none;
  padding: 10px;
  width: 100%;
  border-radius: 5px;
  font-size: 20px;
  margin-block: 8px;
}

.row {
  display: flex;
  flex-direction: row;
  margin-block: 8px;
}

.row p,
.row label {
  flex-basis: 100%;
}

button {
  background: url(./images/04-56-18-501_512.webp);
  background-size: cover;
  background-position: center;
  margin-block: 10px;
  padding: 15px;
  font-size: 20px;
  font-weight: bold;
  color: #fff;
  border: 1px solid #fff;
  outline: none;
  box-shadow: 2px 2px 8px #a8a8e5;
  border-radius: 20px;
}

button:hover {
  border: 2px solid red;
}

a {
  text-decoration: none;
  color: #fff;
}

.container2 {
  display: flex;
  gap: 10px;
  margin: 30px auto;
}

.icon {
  position: relative;
  color: #fff;
  width: 40px;
  height: 40px;
  font-size: 25px;
  text-align: center;
  margin: 0.3rem;
  cursor: pointer;
  display: flex;
  justify-content: center;
  align-items: center;
}

.icon::after,
.icon::before {
  content: " ";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 100%;
  height: 100%;
  border: 1px solid #a8a8e5;
  opacity: 0;
  transition: 0.3s;
}

.icon:hover::after {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1.2) rotate(25deg);
}

.icon:hover::before {
  opacity: 1;
  transform: translate(-50%, -50%) scale(1.2) rotate(45deg);
}

/* Checkbox Styles */
.checkbox-wrapper-12 {
  position: relative;
}

.checkbox-wrapper-12 > svg {
  position: absolute;
  top: -100%;
  left: -170%;
  width: 110px;
  pointer-events: none;
}

.checkbox-wrapper-12 * {
  box-sizing: border-box;
}

.checkbox-wrapper-12 input[type="checkbox"] {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  -webkit-tap-highlight-color: transparent;
  cursor: pointer;
  margin: 0;
}

.checkbox-wrapper-12 input[type="checkbox"]:focus {
  outline: 0;
}

.checkbox-wrapper-12 .cbx {
  width: 24px;
  height: 24px;
}

.checkbox-wrapper-12 .cbx input {
  position: absolute;
  top: 0;
  left: 0;
  width: 24px;
  height: 24px;
  border: 2px solid #bfbfc0;
  border-radius: 50%;
}

.checkbox-wrapper-12 .cbx label {
  width: 24px;
  height: 24px;
  background: none;
  border-radius: 50%;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

.checkbox-wrapper-12 .cbx svg {
  position: absolute;
  top: 5px;
  left: 4px;
  z-index: 1;
  pointer-events: none;
}

.checkbox-wrapper-12 .cbx svg path {
  stroke: #fff;
  stroke-width: 3;
  stroke-linecap: round;
  stroke-linejoin: round;
  stroke-dasharray: 19;
  stroke-dashoffset: 19;
  transition: stroke-dashoffset 0.3s ease;
  transition-delay: 0.2s;
}

.checkbox-wrapper-12 .cbx input:checked + label {
  animation: splash-12 0.6s ease forwards;
}

.checkbox-wrapper-12 .cbx input:checked + label + svg path {
  stroke-dashoffset: 0;
}

@keyframes splash-12 {
  40% {
      background: #866efb;
      box-shadow:
          0 -18px 0 -8px #866efb,
          16px -8px 0 -8px #866efb,
          16px 8px 0 -8px #866efb,
          0 18px 0 -8px #866efb,
          -16px 8px 0 -8px #866efb,
          -16px -8px 0 -8px #866efb;
  }

  100% {
      background: #866efb;
      box-shadow:
          0 -36px 0 -10px transparent,
          32px -16px 0 -10px transparent,
          32px 16px 0 -10px transparent,
          0 36px 0 -10px transparent,
          -32px 16px 0 -10px transparent,
          -32px -16px 0 -10px transparent;
  }
}